<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');

$id_ordem = str_replace(';', ',', $_GET[ids_ordem]);


//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_ordem == ''){
	echo 'Entre com o número da comanda!';
	exit;
}


$sql = selecionar('ordem','orde_tx_status','!inativo'," AND orde_nb_id IN ($id_ordem) GROUP BY orde_tx_comanda ORDER BY orde_nb_id DESC");
while( $a = carrega_array($sql) ){
	$a_comanda[] = $a[orde_tx_comanda];
}


$comandas = @implode(",",$a_comanda);



// $comandas = implode(",",$a_comanda);

// if($_POST[numero_comanda]){
// 	$id_ordem = $_POST[numero_comanda];
// 	$comandas = $id_ordem;
// 	$sql = selecionar('ordem','orde_tx_status','!inativo'," AND orde_tx_comanda IN ($id_ordem) ORDER BY orde_nb_id DESC");
// 	while( $a = carrega_array($sql) ){
// 		$a_id_ordem[] = $a[0];
// 	}
// 	$id_ordem = implode(",",$a_id_ordem);
// }




define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';










// LISTAGEM DOS PRODUTOS DA COMANDA
$sql = selecionar('prod_tx_codbarras,orpr_nb_id,prod_tx_nome,orpr_tx_porcentagem,orpr_tx_valor,orpr_tx_desconto,orpr_tx_descontoReal,SUM(orpr_tx_qtde) as qtde,orpr_tx_qtde*orpr_tx_valor as valor|orpr,produto,ordem','orpr_tx_status',"ativo"," AND orde_nb_id IN ($id_ordem) GROUP BY prod_nb_id ORDER BY orpr_nb_id ASC");
$desconto_total = 0;

while( $a = carrega_array($sql) ) {
// NAO EXIBE SE A QUANTIDADE FOR 0 ( NO CASO DE TER LANCADO UM PRODUTO E DEPOIS CANCELADO)
	if( $a[qtde] == 0 )	
		continue;

	for($i=0;$i<$a[qtde];$i++){
		$unitario = $a[orpr_tx_valor];
		$valor_prod = ($unitario*$a[qtde]);

		// INICIA A CRIAÇÃO DO PDF
		$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
		$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
		$pdf->AddPage();
		 
		$pdf->SetFont('arial','B',7);

		// CRIA O CABEÇALHO DA IMPRESSÃO
		$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
		$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
		$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
		$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
		$pdf->Ln(5);
		$pdf->SetFont('arial','B',12);


		$titulo = "VENDA $comandas";


		$pdf->SetFont('arial','',10);
		$pdf->Ln(2);
		$pdf->Cell(0,2,$titulo,0,1,'C');
		$pdf->Ln(2);
		$pdf->Cell(0,2,date("d/m/Y ( H:i:s )"),0,1,'C');
		$pdf->Ln(2);

		$pdf->SetFont('arial','B',8);
		$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
		$pdf->SetFont('arial','',8);

		$pdf->Ln(2);
		 
		// ALTERA O TIPO E TAMANHO DA FONTE
		$pdf->SetFont('arial','',8);

		// LINHA 1 DA LISTAGEM DE PRODUTOS
		$pdf->Cell(10,3,str_pad(($i+1),2,'0',STR_PAD_LEFT),0,0,"L");
		$pdf->Cell(1,3,$a[prod_tx_nome],0,1,"L");

		
		$pdf->Ln(1);


		$pdf->SetFont('arial','B',8);
		$pdf->Cell(0,2,"___________________________________________________",0,1,"C");
		$pdf->SetFont('arial','',8);


		$pdf->Ln(6);
		$pdf->Cell(0,0,'SISTEMAS CACTUS',0,1,"C");
		// GERA O ARQUIVO PDF
		$pdf->Output($arquivo_pdf,'F');

		bat_imprime($arquivo_pdf,intval($_GET[impressora]));
	}
	

}







